Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTreeMaking extends MatchCodeGen with Debugging

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  Translate our IR (TreeMakers) into actual Scala Trees using the factory methods in MatchCodeGen.

  The IR is mostly concerned with sequencing, substitution, and rendering all necessary conditions, mostly agnostic to whether we're in optimized/pure (virtualized) mode.

  Definition Classes
    patmat
-  trait TreeMakers extends TypedSubstitution with CodegenCore
  Definition Classes
    MatchTreeMaking
- AbsCodegen
- AlternativesTreeMaker
- BodyTreeMaker
- Casegen
- CommonCodegen
- CondTreeMaker
- EmptySubstitution
- EqualityTestTreeMaker
- ExtractorTreeMaker
- FunTreeMaker
- GuardTreeMaker
- NoNewBinders
- NonNullTestTreeMaker
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- SubstOnlyTreeMaker
- Substitution
- TreeMaker
- TrivialTreeMaker
- TypeTestTreeMaker

o

scala.tools.nsc.transform.patmat.MatchTreeMaking.TreeMakers

# TypeTestTreeMaker

###
Companion class TypeTestTreeMaker

#### object TypeTestTreeMaker extends java.io.Serializable

Source
  MatchTreeMaking.scala

Linear Supertypes
java.io.Serializable, AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeTestTreeMaker
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait TypeTestCondStrategy extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def nonNullImpliedByTestChecker(binder: Global.Symbol): TypeTestCondStrategy { type Result = Boolean }
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
21.  object pureTypeTestChecker extends TypeTestCondStrategy
22.  object treeCondStrategy extends TypeTestCondStrategy

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped